import request from '@/utils/request'

// 查询商品列表
export function listGoods(query) {
  return request({
    url: '/psi/goods/list',
    method: 'get',
    params: query
  })
}

// 查询商品详细
export function getGoods(id) {
  return request({
    url: '/psi/goods/' + id,
    method: 'get'
  })
}

// 新增商品
export function addGoods(data) {
  return request({
    url: '/psi/goods',
    method: 'post',
    data: data
  })
}

// 修改商品
export function updateGoods(data) {
  return request({
    url: '/psi/goods',
    method: 'put',
    data: data
  })
}

// 删除商品
export function delGoods(id) {
  return request({
    url: '/psi/goods/' + id,
    method: 'delete'
  })
}

// 商品导入模板
export function importTemplate() {
  return request({
    url: '/psi/goods/importTemplate',
    method: 'get'
  })
}

export function goodsListAll(query) {
  return request({
    url: '/psi/goods/listAll',
    method: 'get',
    params: query
  })
}

export function getGoodsList(query) {
  return request({
    url: '/psi/goods/goodsList',
    method: 'get',
    params: query
  })
}

export function goodsRevoke(data) {
  return request({
    url: '/psi/goods/revoke',
    method: 'put',
    data
  })
}