import request from '@/utils/request'

// 查询采购订单列表
export function listPurchase(query) {
  return request({
    url: '/psi/purchase/list',
    method: 'get',
    params: query
  })
}

// 查询采购订单详细
export function getPurchase(id) {
  return request({
    url: '/psi/purchase/' + id,
    method: 'get'
  })
}

// 新增采购订单
export function addPurchase(data) {
  return request({
    url: '/psi/purchase',
    method: 'post',
    data: data
  })
}

// 修改采购订单
export function updatePurchase(data) {
  return request({
    url: '/psi/purchase',
    method: 'put',
    data: data
  })
}

// 删除采购订单
export function delPurchase(id) {
  return request({
    url: '/psi/purchase/' + id,
    method: 'delete'
  })
}

// 修改状态
export function updStatus(id,status) {
  return request({
    url: '/psi/purchase/updStatus'+`/${id}/${status}`,
    method: 'get'
  })
}


// 审核
export function examine(id) {
  return request({
    url: '/psi/purchase/examine'+`/${id}`,
    method: 'get'
  })
}


export function getSupply(purchaseId,supplierId) {
  return request({
    url: '/psi/supply/getSupply'+`/${purchaseId}/${supplierId}`,
    method: 'get'
  })
}

export function getSupplys(purchaseId) {
  return request({
    url: '/psi/supply'+`/${purchaseId}`,
    method: 'get'
  })
}

export function addSupply(data) {
  return request({
    url: '/psi/supply/addSupply',
    method: 'post',
    data
  })
}

export function supplyList(query) {
  return request({
    url: '/psi/supply/list',
    method: 'get',
    params: query
  })
}

export function addReceipt(data) {
  return request({
    url: '/psi/receipt/addReceipt',
    method: 'post',
    data
  })
}


// 根据金额计算商品数量
export function calculateGoods(data) {
  return request({
    url: '/psi/supply/calculateGoods',
    method: 'post',
    data
  })
}


export function listAll(data) {
  return request({
    url: '/psi/purchase/listAll',
    method: 'get',
    params: data
  })
}

// 出库单撤回
export function revokeSupply(id) {
  return request({
    url: '/psi/supply/revokeSupply/'+id,
    method: 'get'
  })
}

// 审核后撤回
export function revokePurchase(id) {
  return request({
    url: '/psi/purchase/revokePurchase/'+id,
    method: 'get'
  })
}

// 采购单审批
export function processPurchase(id) {
  return request({
    url: '/psi/process/'+id,
    method: 'get'
  })
}

export function addBidding(data) {
  return request({
    url: '/psi/bidding/addBidding',
    method: 'post',
    data
  })
}