import request from "@/utils/request";

// 查询供应商列表
export function listReceipt(query) {
  return request({
    url: "/psi/receipt/list",
    method: "get",
    params: query,
  });
}

// 手动添加供货单
export function manuallyReceipt(data) {
  return request({
    url: "/psi/receipt/manuallyReceipt",
    method: "post",
    data
  });
}

// 查询供应单详细
export function getReceipt(id) {
  return request({
    url: "/psi/receipt/" + id,
    method: "get",
  });
}

// 查询供应单详细  返回数据过滤全部入库商品
export function getInfo(id) {
  return request({
    url: "/psi/supply/getInfo/" + id,
    method: "get",
  });
}


export function listAll(query) {
  return request({
    url: "psi/receipt/listAll",
    method: "get",
    params: query
  });
}


export function updStatus(id,status) {
  return request({
    url: `psi/receipt/updStatus/${id}/${status}`,
    method: "post"
  });
}


export function updateReceipt(data) {
  return request({
    url: '/psi/receipt/updateReceipt',
    method: "post",
    data
  });
}

// 收货单撤回
export function revokeReceipt(id) {
  return request({
    url: '/psi/receipt/revokeReceipt/'+id,
    method: 'get'
  })
}