import request from '@/utils/request'

// 查询供应商列表
export function listSupplier(query) {
  return request({
    url: '/psi/supplier/list',
    method: 'get',
    params: query
  })
}

// 查询供应商详细
export function getSupplier(id) {
  return request({
    url: '/psi/supplier/' + id,
    method: 'get'
  })
}

// 新增供应商
export function addSupplier(data) {
  return request({
    url: '/psi/supplier',
    method: 'post',
    data: data
  })
}

// 修改供应商
export function updateSupplier(data) {
  return request({
    url: '/psi/supplier',
    method: 'put',
    data: data
  })
}

// 删除供应商
export function delSupplier(id) {
  return request({
    url: '/psi/supplier/' + id,
    method: 'delete'
  })
}

// 关联的供应商
export function getSupplierTenant() {
  return request({
    url: '/psi/supplier/getSupplierTenant',
    method: 'get',
  })
}


export function addBidding(data) {
  return request({
    url: '/psi/bidding/addBidding',
    method: 'post',
    data
  })
}


export function getBiddingSupplier(id) {
  return request({
    url: '/psi/bidding/getBiddingSupplier/'+id,
    method: 'get',
  })
}

// 租户查询关联供应商列表
export function listSupplierByTenant(query) {
  return request({
    url: '/psi/supplier/tlist',
    method: 'get',
    params: query
  })
}

// 修改供应商状态
export function updateSupplierStatus(data) {
  return request({
    url: '/psi/supplier/updateSupplierStatus',
    method: 'post',
    data: data
  })
}
