import request from '@/utils/request'

// 查询流程配置列表
export function flowList(query) {
  return request({
    url: '/system/dict/data/type/approval_content',
    method: 'get',
    params: query
  })
}

// 流程详情
export function flowDetail(id) {
  return request({
    url: 'psi/process/'+ id,
    method: 'get',
  })
}

// 获取所有人员
export function getPerson(query) {
  return request({
    url: 'system/user/listAll',
    method: 'get',
    params: query
  })  
}

// 修改流程配置
export function updateFlow(data) {
  return request({
    url: 'psi/process',
    method: 'put',
    data
  })  
}

export function addFlow(data) {
  return request({
    url: 'psi/recording',
    method: 'post',
    data
  })
}

export function getRecordingInfo(id){
  return request({
    url: '/psi/recording/getRecordingInfo/'+ id,
    method: 'get',
  })
}

export function getRecordingList(query) {
  return request({
    url: 'psi/recording/list',
    method: 'get',
    params: query
  })  
}

export function getRecordingDetail(id,ids){
  return request({
    url: '/psi/recording/getRecordingInfo/'+ id+'/'+ids,
    method: 'get'
  })
}

export function getRecordingExamine(data){
  return request({
    url: '/psi/recording',
    method: 'put',
    data
  })
}

export function tenantListNoPage(){
  return request({
    url: '/system/tenant/listNoPage',
    method: 'get',
  })
}