export function getToday(date) {
  let today = date || new Date();
  let year = today.getFullYear();
  let month = today.getMonth() + 1; // 月份从 0 开始，因此需要加 1
  let day = today.getDate();

  // 将月份和日期格式化为两位数
  month = month < 10 ? `0${month}` : month;
  day = day < 10 ? `0${day}` : day;

  let formattedDate = `${year}-${month}-${day}`;
  return formattedDate;
}

export function getyestMonth() {

  const date = new Date();
  // 获取当前日期的年份和月份
  var year = date.getFullYear();
  var month = date.getMonth() + 1; // 月份从 0 开始，需要加 1

  // 判断日期是否大于等于 21
  if (date.getDate() >= 21) {
    // 大于等于 21，则日期范围为这个月 21 日到下个月 20 日
    var startDate = year + "-" + month + "-21";
    var endDate = year + "-" + (month + 1) + "-20";
  } else {
    // 小于 21，则日期范围为上个月 21 日到这个月 20 日
    if (month === 1) {
      var prevYear = year - 1;
      var prevMonth = 12; // 上个月是去年的 12 月
    } else {
      var prevYear = year;
      var prevMonth = month - 1;
    }
    var startDate = prevYear + "-" + prevMonth + "-21";
    var endDate = year + "-" + month + "-20";
  }
  return [startDate, endDate];
}

export function handleNumber(num) {
  let newNum = Number(Math.round(+num * 100) / 100);
  return newNum;
}

// 规格单位转成小写  传入string
export function toLowerCase(str) {
  // console.log(str)
  str = String(str)
  str = str.replace(/^\s+|\s+$/g, "");
  return str.replace(/[A-Z]/g, function (char) {
    return String.fromCharCode(char.charCodeAt(0) + 32);
  });
}

export function cNum(num, num1) {
  return (
    Math.round(Math.round((num * 100 || 0) * (num1 * 100 || 0)) / 100) / 100
  );
  // return handleNumber(Math.round(((num*100 || 0) * (num1*100 || 0)) /100)/100)
}

export function digitUppercase(n){
  if (!n) return false;
	if (n == 0) return '零元整';
	if (!/^(0|[1-9]\d*)(\.\d+)?$/.test(n)) {
		return "数据非法"; //判断数据是否大于0
	}

	var unit = "仟佰拾亿仟佰拾万仟佰拾元角分",
		str = "";
	n += "00";

	var indexpoint = n.indexOf('.'); // 如果是小数，截取小数点前面的位数

	if (indexpoint >= 0) {

		n = n.substring(0, indexpoint) + n.substr(indexpoint + 1, 2); // 若为小数，截取需要使用的unit单位
	}

	unit = unit.substr(unit.length - n.length); // 若为整数，截取需要使用的unit单位
	for (var i = 0; i < n.length; i++) {
		str += "零壹贰叁肆伍陆柒捌玖".charAt(n.charAt(i)) + unit.charAt(i); //遍历转化为大写的数字
	}
	return (
	    str
	      .replace(/零(仟|佰|拾|角)/g, '零')
	      .replace(/(零)+/g, '零')
	      .replace(/零(万|亿|元)/g, '$1')
	      // .replace(/(亿)万|壹(拾)/g, '$1$2')
	      .replace(/^元零?|零分/g, '')
	      .replace(/元$/g, '元整')
	  ); // 替换掉数字里面的零字符，得到结果
}
